#define _GNU_SOURCE
#include <math.h>

#undef isnormal

#include "gpkieee754_Linux.h"



double quiet_nan(long z)
{
	return NAN;
}


float quiet_nanf(long z)
{
	return NAN;
}



double infinity()
{
	return INFINITY;
}



float infinityf()
{
	return INFINITY;
}


int isnormal(double x)
{
	return (fpclassify (x) == FP_NORMAL);
}


#if 0
int finite(double x)
{
	return __finite(x);
}


int finitef(float x)
{
	return __finitef(x);
}
#endif

int isnanf(float x)
{
	return __isnanf(x);
}

#if 0
int isnan(double x)
{
	return __isnan(x);
}
#endif
